# version_acronym is either sl or slf
# lower case please!
%define version_acronym sl

%define base_release_version 5
%define minor_release_version 9

# increment this to get the stuff after the - higher
#  helps for making the rolling one go obsolete
%define release_count 2

# set ROLLING true for the rolling tree
#  once set it will do the rest for you automatically
#  the only valid values are true and anything else
%define ROLLING false

# #

%define product_family Scientific Linux

# setup pretty name
%if %(echo %{version_acronym} | grep -c 'slf')
    %define release_name Lederman
    %define variant_titlecase Fermi
    %define variant_lowercase fermi
    %define beta_directory slf5rolling
    %define release_string %{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{base_release_version}.%{minor_release_version} (%{release_name})
%else
    %define release_name Boron
    %define beta_directory 5rolling
    %define release_string %{product_family} release %{base_release_version}.%{minor_release_version} (%{release_name})
%endif

# if we are building for the rolling tree, define beta
%if %(echo %{ROLLING} |grep -c 'true')
    %define beta rolling
%endif




%define debug_package %{nil}

Summary: %{product_family} release file
Name: %{version_acronym}-release
Version: %{base_release_version}.%{minor_release_version}
Release: %{release_count}.%{version_acronym}%{?beta:.%{beta}}
License: GPL
Group: System Environment/Base
Source: %{version_acronym}-release-%{base_release_version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/%{name}-%{version}-%{version_acronym}root
# typo in SL 5.8, requires higher epoc now
Epoch: 1

%description
%if %(echo %{version_acronym} | grep -c 'slf')
%{product_family}%{variant_titlecase: %{variant_titlecase}} release files for version %{base_release_version}.%{minor_release_version}%{?beta: Beta}
%else
%{product_family} release files for version %{base_release_version}.%{minor_release_version}%{?beta: Beta}
%endif

%prep
%setup -q -n %{version_acronym}-release-%{base_release_version}

%build
#python -c "import py_compile; py_compile.compile('eula.py')"
python -c "import py_compile"

%if 0%{?beta:1}
    echo "Leaving configuration at for %{beta_directory}"
%else
    echo "Customizing for version %{base_release_version}%{minor_release_version} of %{product_family}%{?variant_titlecase: %{variant_titlecase}}"
    sed -e "s/%{beta_directory}/%{base_release_version}%{minor_release_version}/g" sources > sources.tmp
    mv -f sources.tmp sources
%endif
echo OK

%install
rm -rf $RPM_BUILD_ROOT

#create redhat-release, issue, and issue.net
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{release_string}" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#Put in the configuration for rhn incase someone installs it
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

#Put the default bookmarks in the right place
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 mozilla-scientific-default-bookmarks.html $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

#Put in the GPG keys that signed the packages
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done


%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- firefox, %{_bindir}/firefox
{
	shopt -s nullglob
	for line in /usr/lib{,64}/firefo*/defaults/
	do
		[ -d "$line" ] && mkdir -p $line/profile/ && cp -f /usr/share/%{name}/default-bookmarks.html $line/profile/bookmarks.html
		[ -d "$line" ] && mkdir -p $line/profile/US/ && cp -f /usr/share/%{name}/default-bookmarks.html $line/profile/US/bookmarks.html
	done
} &> /dev/null || :

%triggerin -- firstboot
if [ -f /usr/share/firstboot/modules/additional_cds.py ] ; then
  rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc GPL autorun-template
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources

%changelog
* Thu May 10 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-5.sl
- added EPOC=1 to offset typo from earlier

* Tue Apr 10 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-4.sl
- switched from 5rolling

* Mon Apr 2 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-3.sl.rolling
- Updated bookmarks

* Mon Mar 13 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-2.sl.rolling
- Fixed firefox bookmark deployment

* Mon Mar 12 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-1.sl.rolling
- Changed the version string from 5.rolling to 5.8.rolling.
  This is similar to the <= 57 behavior and the 6 behavior.

* Wed Feb 22 2012 Pat Riehecky <riehecky@fnal.gov> - 5.8-0.sl.rolling
- refactored to match what we are doing in SL6
- moved to 5.8

* Thu Aug 04 2011 Troy Dawson <dawson@fnal.gov> - 5.7-0.1.rolling
- Moved everything to 57
- Changed sources to be 5rolling

* Tue Jun 07 2011 Troy Dawson <dawson@fnal.gov> - 5.6-1
- Changed sources to point to 56

* Wed Apr 07 2010 Troy Dawson <dawson@fnal.gov> - 5.5-0.1.rolling
- Updated out of date bookmarks
- Moved everything to 55
- Changed sources to be 5rolling instead

* Tue Jul 14 2009 Troy Dawson <dawson@fnal.gov> - 5.3-2
- Added RPM-GPG-KEY-sl*

* Tue Feb 24 2009 Troy Dawson <dawson@fnal.gov> - 5.3-1
- Changed sources to point to 53

* Fri Jun 13 2008 Troy Dawson <dawson@fnal.gov> - 5.2-1
- Changed sources to point to 52

* Fri May 23 2008 Troy Dawson <dawson@fnal.gov> - 5.2-0.1.rolling
- Moved everything over to 52
- Added new redhat rpm keys

* Thu Nov 08 2007 Troy Dawson <dawson@fnal.gov> - 5.1-1
- Moved everything to 51
- Added the new redhat rpm key
- Changed sources to be 5rolling instead of 50

* Mon Apr 02 2007 Troy Dawson <dawson@fnal.gov> - 5.0-3
- Changed sources to be 50 instead of 5rolling
- Added the centos 5 GPG key

* Mon Apr 02 2007 Troy Dawson <dawson@fnal.gov> - 5.0-3
- Changed sources to reflect the new directory structure
- added trigger to get rid of additional cd's page of firstboot
- added more rpm GPG keys

* Tue Mar 27 2007 Troy Dawson <dawson@fnal.gov> - 5.0-2
- Added bookmarks fix

* Wed Dec 07 2006 Troy Dawson <dawson@fnal.gov> - 5.0-1
- First pass at the spec file
